/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:12pm
Filepath: scripts\Items\artifacts\Gauntlet\TheHolyInsight.cs
Lines of code: 46

Description: 

***********************************************************/


using System;
using Server;
using Server.Mobiles;

namespace Server.Items
{
	public class TheHolyInsight : WingedHelm
	{
		public override int ArtifactRarity{ get{ return 11; } }

		public override int BasePhysicalResistance{ get{ return 8; } }
		public override int BaseFireResistance{ get{ return 8; } }
		public override int BaseColdResistance{ get{ return 8; } }
		public override int BasePoisonResistance{ get{ return 8; } }
		public override int BaseEnergyResistance{ get{ return 8; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public TheHolyInsight()
		{
			Name = "The Holy Insight";
			Hue = 1245;
			ArmorAttributes.SelfRepair = 5;
			Attributes.BonusInt = 10;
			ArmorAttributes.MageArmor = 1;
			Attributes.CastRecovery = 2;
			Attributes.CastSpeed = 1;
		}

		public TheHolyInsight( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		public override void OnAfterLoad()
		{
			Item i = Activator.CreateInstance( DemonKnight.m_ArtifactRarity11[Utility.Random( DemonKnight.m_ArtifactRarity11.Length )] ) as Item;
			
			Misc.ObjectConverter.ConvertItem(this,i);
		}		
	}
}